{% extends 'base/baseadmin.html' %}

{% block title %}
  Lista de administradores
{% endblock %}

{% block content %}
<div class="container text-center">
  <h1>Lista de administradores:</h1>
    <a href="{% url 'core:administrador_create' %}" class="btn btn-outline-dark form-control">Añade un nuevo administrador</a>

    <style>
      /* Aplicar color blanco al texto dentro de la tabla */
      .table.text-white td,
      .table.text-white th {
        color: white;
      }
    </style>
    <table class="table table-striped table-hover text-white mt-3">
      <thead>
        <th>Numero de adminstrador</th>
        <th>Nombre de pila</th>
        <th>Apellido paterno</th>
        <th>Apellido materno</th>
        <th></th>
        <th>Acciones</th>
        <th></th>
      </thead>
      <tbody>
        {% for Administrador in administra %}
          <tr>
            <td>{{ Administrador.noempleado }}</td>
            <td>{{ Administrador.nombrepila }}</td>
            <td>{{ Administrador.primerapellido }}</td>
            <td>{{ Administrador.segundoapellido }}</td>
            <td>
              <a href="{% url 'core:administrador_detail' Administrador.noempleado %}" class="btn btn-outline-light">Detalles</a>
            </td>
            <td>
              <a href="{% url 'core:administrador_update' Administrador.noempleado %}" class="btn btn-outline-light">Actualizar</a>
            </td>
            <td>
              <a href="{% url 'core:administrador_delete' Administrador.noempleado %}" class="btn btn-outline-light">Eliminar</a>
            </td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
{% endblock %}
